package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Trm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TrmMapper {

    List<String> getTrmTypByTrmCod(@Param("trmcod")String trmcod);

    Trm selectByTrmcod(Trm record);

    Trm seletByTrmtyp(@Param("trmtyp")String trmtyp);

    List<Trm> getTrmListByTrmType(@Param("trmtyp")String trmtyp);

    List<Trm> getTrmtypByAcctyp(@Param("acctyp") String acctyp, @Param("bchtypflg")boolean bchtypflg);

    Trm getTrmByAct(@Param("act") String act, @Param("trmtyp") String trmtyp);

    List<String> getJshTrmTyp();
}
